## WebKitDOMHTMLParamElement

WebKitDOMHTMLParamElement

## Functions

gchar * | webkit_dom_html_param_element_get_name ()
void | webkit_dom_html_param_element_set_name ()
gchar * | webkit_dom_html_param_element_get_value ()
void | webkit_dom_html_param_element_set_value ()
gchar * | webkit_dom_html_param_element_get_value_type ()
void | webkit_dom_html_param_element_set_value_type ()

## Properties

gchar * | name | Read / Write
gchar * | type | Read / Write
gchar * | value | Read / Write
gchar * | value-type | Read / Write

## Types and Values

| WebKitDOMHTMLParamElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLParamElement

## Implemented Interfaces

WebKitDOMHTMLParamElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_param_element_get_name ()

    gchar *
    webkit_dom_html_param_element_get_name
                                   (WebKitDOMHTMLParamElement *self);

#### Parameters

self | A WebKitDOMHTMLParamElement |

#### Returns

A gchar

### webkit_dom_html_param_element_set_name ()

    void
    webkit_dom_html_param_element_set_name
                                   (WebKitDOMHTMLParamElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLParamElement |
value | A gchar |

### webkit_dom_html_param_element_get_value ()

    gchar *
    webkit_dom_html_param_element_get_value
                                   (WebKitDOMHTMLParamElement *self);

#### Parameters

self | A WebKitDOMHTMLParamElement |

#### Returns

A gchar

### webkit_dom_html_param_element_set_value ()

    void
    webkit_dom_html_param_element_set_value
                                   (WebKitDOMHTMLParamElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLParamElement |
value | A gchar |

### webkit_dom_html_param_element_get_value_type ()

    gchar *
    webkit_dom_html_param_element_get_value_type
                                   (WebKitDOMHTMLParamElement *self);

#### Parameters

self | A WebKitDOMHTMLParamElement |

#### Returns

A gchar

### webkit_dom_html_param_element_set_value_type ()

    void
    webkit_dom_html_param_element_set_value_type
                                   (WebKitDOMHTMLParamElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLParamElement |
value | A gchar |

## Types and Values

### WebKitDOMHTMLParamElement

    typedef struct _WebKitDOMHTMLParamElement WebKitDOMHTMLParamElement;

## Property Details

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLParamElement:name.

Flags: Read / Write

Default value: ""

### The `“type”` property

      “type”                     gchar *

read-write gchar* HTMLParamElement:type.

Flags: Read / Write

Default value: ""

### The `“value”` property

      “value”                    gchar *

read-write gchar* HTMLParamElement:value.

Flags: Read / Write

Default value: ""

### The `“value-type”` property

      “value-type”               gchar *

read-write gchar* HTMLParamElement:value-type.

Flags: Read / Write

Default value: ""